Pnmindex User Manual(1)

NAME
pnmindex - build a visual index of a bunch of PNM images

SYNOPSIS

pnmindex

[-size=N]

[-across=N]

[-black]

[-title=title]

[-quant|-noquant]

[-colors=N]

pnmfile ...

You can use the minimum unique abbreviation of the options. You can use two hyphens instead of one. You can separate an option name from its value with white space instead of an equals sign.

DESCRIPTION

This program is part of Netpbm(1) .

pnmindex creates an index image containing thumbnail (small) versions of a bunch of PNM files you supply (akin to a photographic "contact sheet").

pnmindex labels each thumbnail and, optionally, contains a title.

If you just want to concatenate some images together in a grid, use pamundice for that.

If you want to take apart the image you generated with pnmindex, use pamdice or pamcut.

The program can generate large temporary files. By default, these go in directory /tmp, but you can usse the TMPDIR environment variable to have them somewhere else.

OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see
 Common Options index.html#commonoptions ), pnmindex recognizes the following command line options:

-size=N
    The size of each thumbnail. The image is scaled down to fit maximally inside a N x N pixel box without changing its aspect ratio.

    If the input image is already smaller than this, its size remains the same in the output.

    The value must be at least 1.

    The default is 100.

-across=N
    This is the number of thumbnails in each row.

    The value must be at least 1.

    The default is 6.

-black
    This controls the color of the padding between the images; by default it is white and the labels are black lettering on white background, but the -black option reverses this.

-title=title
    This specifies a title to be placed at the top of the image.

    The title value must be in ASCII. Characters that are not valid ASCII are not rendered.

    Default is no title.

-noquant
    Disables color quantization. By default, if any input image is PPM, the program reduces the number of colors to the number of colors specified by -colors).

-quant
    This option has no effect; it explicitly selects the default behavior of quantizing colors. See -noquant.

-colors=N
    The maximum number of colors allowed in the overall image. If it would otherwise have more colors than these, pnmindex quantizes the result. To reduce the effect of the colors in one thumbnail on the colors used for another, the program quantizes colors to this number in each thumbnail independently, then quantizes the colors in each row of thumbnails to this number, then quantizes the colors in the entire output image to this number.

    This value is meaningless if you specify the -noquant option or if no input image is PPM.

    The default is 256.

HISTORY

Before Netpbm 11.05 (December 2023), the Netpbm common option -plain was not implemented.

  .UN seealso

SEE ALSO
pamscale(1) , pamcat(1) , pbmtext(1) , pnmquant(1) , pamcut(1) , pamdice(1) , pamundice(1) , pnmtile(1) , pnm(1)

AUTHOR

Copyright (C) 1991 by Jef Poskanzer.

-title and -noquant added 2000 by John Heidemann.

DOCUMENT SOURCE
This manual page was generated by the Netpbm tool 'makeman' from HTML source. The master documentation is at

    http://netpbm.sourceforge.net/doc/pnmindex.html